RpcConstants (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc, class: RpcConstants

Package org.apache.hadoop.ipc

# Class RpcConstants

java.lang.Object
org.apache.hadoop.ipc.RpcConstants

@Private public class RpcConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AUTHORIZATION_FAILED_CALL_ID`
  `static final int`
  `CONNECTION_CONTEXT_CALL_ID`
  `static final byte`
  `CURRENT_VERSION`
  `static final byte[]`
  `DUMMY_CLIENT_ID`
  `static final ByteBuffer`
  `HEADER`
  The first four bytes of Hadoop RPC connections
  `static final int`
  `HEADER_LEN_AFTER_HRPC_PART`
  `static final int`
  `INVALID_CALL_ID`
  `static final int`
  `INVALID_RETRY_COUNT`
  `static final int`
  `PING_CALL_ID`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUTHORIZATION_FAILED_CALL_ID

    public static final int AUTHORIZATION_FAILED_CALL_ID
    See Also:
      - Constant Field Values

  - ### INVALID_CALL_ID

    public static final int INVALID_CALL_ID
    See Also:
      - Constant Field Values

  - ### CONNECTION_CONTEXT_CALL_ID

    public static final int CONNECTION_CONTEXT_CALL_ID
    See Also:
      - Constant Field Values

  - ### PING_CALL_ID

    public static final int PING_CALL_ID
    See Also:
      - Constant Field Values

  - ### DUMMY_CLIENT_ID

    public static final byte[] DUMMY_CLIENT_ID

  - ### INVALID_RETRY_COUNT

    public static final int INVALID_RETRY_COUNT
    See Also:
      - Constant Field Values

  - ### HEADER

    public static final ByteBuffer HEADER
    The first four bytes of Hadoop RPC connections

  - ### HEADER_LEN_AFTER_HRPC_PART

    public static final int HEADER_LEN_AFTER_HRPC_PART
    See Also:
      - Constant Field Values

  - ### CURRENT_VERSION

    public static final byte CURRENT_VERSION
    See Also:
      - Constant Field Values